/*$Id: iceb_tu_strspisok.c,v 5.2 2013/05/17 14:56:41 sasa Exp $*/
/*10.05.2021	28.03.2012	Белых А.И.	iceb_tu_strspisok.c
Взятие данных из строки разделённых символом разделителем в список
*/

#include "util.h"

void iceb_tu_strspisok(const char *stroka,int razdelitel,class iceb_tu_spisok *spisok)
{
int kolih_razdel=iceb_tu_pole2(stroka,razdelitel);
if(kolih_razdel == 0)
 {
  spisok->plus(stroka);
  return;
 } 
class iceb_tu_str pole_vs("");
for(int nom=1; nom <= kolih_razdel; nom++)
 {
  iceb_tu_polen(stroka,&pole_vs,nom,razdelitel);
  spisok->plus(pole_vs.ravno());
 }
 
}
